Subject: Re: bug#33765: emacs-26.1-mac-7.4; (expt 2 140) ; produces 0 in scratch buffer, unexpectedly

From: Van L <[email-masked]>
Date: Mon, 17 Dec 2018 08:24:21 +1100

>>> Why do you say this is unexpected?
>> 
>> I am not a mathematician but I believe the answer is wrong for 2^140.
> 
> The correct value cannot be represented in an Emacs fixnum.  What did you expect Emacs to do?  IOW, what would be the "expected" result, given the limited range of integers we can represent?

I expect no answer and an error out with an informative explanation if asked for, when Emacs is unable to do.

>>> If you want the same support for huge numbers as in Scheme, try
>> Emacs 27.
>> 
>> I take that to mean the master branch but the emacs-mac repo-updates
>> are less freq. than gnu-emacs’s.
> 
> Some features, such as this one, will not be available in older versions.

A helpful place to explain the versioning policy would be a file in the emacs/etc directory.

Version 26 means stable, 27 means unstable is my guess.